INPUT_DIR="PV_trees/input_sequences_for_trees"
TREES_DIR="PV_trees/PV_annotated_trees"
SCRIPTS_DIR="scripts"
ANNEXES_DIR="scripts/annexes"
TMP_DIR="tmp/"
GROUND_TRUTH_DIR="PV_trees/PV_annotated_trees/ground_truth"

for CBP in `cat ${ANNEXES_DIR}/CB_proteins_an.txt`
do 	
	cat ${ANNEXES_DIR}/${CBP}_domains.txt >  ${TMP_DIR}/x.tmp.txt
	if [[ "${CBP}" == "PGK" ]]
        then
		echo "PGK_PGAbinding" >> ${TMP_DIR}/x.tmp.txt
	elif [[ "${CBP}" == "TRK" ]]
	then
		echo "TRK_multi" >> ${TMP_DIR}/x.tmp.txt
	elif [[ "${CBP}" == "RPI" ]]
        then
		echo "RPI_isomerase" >> ${TMP_DIR}/x.tmp.txt
		echo "RPI_dimerase" >> ${TMP_DIR}/x.tmp.txt 
		echo "RPI_isomerase_dimerase" >> ${TMP_DIR}/x.tmp.txt
	fi
	for x in `cat  ${TMP_DIR}/x.tmp.txt`
	do
		grep -A1 "CHLRE\|VOLCA\|ARATH" ${INPUT_DIR}/${CBP}/${CBP}.fa  | awk 'length($0)>2' | sort | uniq > ${TMP_DIR}/f0.txt
	        P_CHLRE=`grep "CHLRE" ${TMP_DIR}/f0.txt | wc -l | awk '{print $1}'`
        	P_VOLCA=`grep "VOLCA" ${TMP_DIR}/f0.txt | wc -l | awk '{print $1}'`
                P_ARATH=`grep "ARATH" ${TMP_DIR}/f0.txt | wc -l | awk '{print $1}'`


	        # Count all paralogs predicted by Profileview
	        python3 ${SCRIPTS_DIR}/get_all_up_subtree.py ${TREES_DIR}/${x}/${x}.nhx root > ${TMP_DIR}/f1.txt; grep -A1 -f ${TMP_DIR}/f1.txt ${INPUT_DIR}/${CBP}/${CBP}.fa > ${TMP_DIR}/f2.txt; grep -A1 "CHLRE\|VOLCA\|ARATH"  ${TMP_DIR}/f2.txt | awk 'length($0)>2{print $1}' | sort | uniq > ${TMP_DIR}/f0.txt

                PR_CHLRE=`grep "CHLRE" ${TMP_DIR}/f0.txt | wc -l | awk '{print $1}'`
	        PR_VOLCA=`grep "VOLCA" ${TMP_DIR}/f0.txt | wc -l | awk '{print $1}'`
	        PR_ARATH=`grep "ARATH" ${TMP_DIR}/f0.txt | wc -l | awk '{print $1}'`

        	# Count all predicted paralogs having functional annotations
	        grep -f ${GROUND_TRUTH_DIR}/${CBP}_class_all_primaryacc_names.txt ${TMP_DIR}/f2.txt | awk 'length($0)>2{print $1}' | sort | uniq > ${TMP_DIR}/f0.txt
	        F_CHLRE=`grep "CHLRE" ${TMP_DIR}/f0.txt | wc -l | awk '{print $1}'`
	        F_VOLCA=`grep "VOLCA" ${TMP_DIR}/f0.txt | wc -l | awk '{print $1}'`
	        F_ARATH=`grep "ARATH" ${TMP_DIR}/f0.txt | wc -l | awk '{print $1}'`

	        echo "${x} | ${P_CHLRE} ${PR_CHLRE} ${F_CHLRE} | ${P_VOLCA} ${PR_VOLCA} ${F_VOLCA} | ${P_ARATH} ${PR_ARATH} ${F_ARATH}"

	done
done
